Package org.drinkless.tdlib

# Class TdApi.InternalLinkTypePublicChat

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.InternalLinkType
org.drinkless.tdlib.TdApi.InternalLinkTypePublicChat

Enclosing class:
  `TdApi`

public static class TdApi.InternalLinkTypePublicChat extends TdApi.InternalLinkType
The link is a link to a chat by its username. Call searchPublicChat with the given chat username to process the link. If the chat is found, open its profile information screen or the chat itself. If draft text isn't empty and the chat is a private chat with a regular user, then put the draft text in the input field.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.InternalLinkType

  `TdApi.InternalLinkType.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `String`
  `chatUsername`
  Username of the chat.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `draftText`
  Draft text for message to send in the chat.
  `boolean`
  `openProfile`
  True, if chat profile information screen must be opened; otherwise, the chat itself must be opened.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InternalLinkTypePublicChat()`
  The link is a link to a chat by its username.
  `InternalLinkTypePublicChat(String chatUsername, String draftText, boolean openProfile)`
  The link is a link to a chat by its username.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### chatUsername

    public String chatUsername
    Username of the chat.

  - ### draftText

    public String draftText
    Draft text for message to send in the chat.

  - ### openProfile

    public boolean openProfile
    True, if chat profile information screen must be opened; otherwise, the chat itself must be opened.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### InternalLinkTypePublicChat

    public InternalLinkTypePublicChat()
    The link is a link to a chat by its username. Call searchPublicChat with the given chat username to process the link. If the chat is found, open its profile information screen or the chat itself. If draft text isn't empty and the chat is a private chat with a regular user, then put the draft text in the input field.

  - ### InternalLinkTypePublicChat

    public InternalLinkTypePublicChat(String chatUsername, String draftText, boolean openProfile)
    The link is a link to a chat by its username. Call searchPublicChat with the given chat username to process the link. If the chat is found, open its profile information screen or the chat itself. If draft text isn't empty and the chat is a private chat with a regular user, then put the draft text in the input field.
    Parameters:
      `chatUsername` - Username of the chat.
      `draftText` - Draft text for message to send in the chat.
      `openProfile` - True, if chat profile information screen must be opened; otherwise, the chat itself must be opened.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.InternalLinkType`
    Returns:
      this.CONSTRUCTOR